Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class TaxAuthorisation1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.TaxAuthorisation1

public class TaxAuthorisation1 extends Object

Java class for TaxAuthorisation1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxAuthorisation1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Titl" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max35Text" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max140Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`nm`
`protected String`
`titl`

## Constructor Summary

Constructors
Constructor
Description
`TaxAuthorisation1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNm()`
Gets the value of the nm property.
`String`
`getTitl()`
Gets the value of the titl property.
`void`
`setNm(String value)`
Sets the value of the nm property.
`void`
`setTitl(String value)`
Sets the value of the titl property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### titl

protected String titl

### nm

protected String nm

## Constructor Details

### TaxAuthorisation1

public TaxAuthorisation1()

## Method Details

### getTitl

public String getTitl()
Gets the value of the titl property.

Returns:
  possible object is `String`

### setTitl

public void setTitl(String value)
Sets the value of the titl property.

Parameters:
  `value` - allowed object is `String`

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`